[PATCH v2 3/4] xfstests: xfs/304, verify turn group/project quotas off while user quotas is on

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Jie Liu <jeff.liu@xxxxxxxxxx>

Introduce xfs/304 to verify that we can turn group/project quotas
off while user quotas is on.

Signed-off-by: Jie Liu <jeff.liu@xxxxxxxxxx>
---
 tests/xfs/304     | 86 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/xfs/304.out |  7 +++++
 tests/xfs/group   |  1 +
 3 files changed, 94 insertions(+)
 create mode 100755 tests/xfs/304
 create mode 100644 tests/xfs/304.out

diff --git a/tests/xfs/304 b/tests/xfs/304
new file mode 100755
index 0000000..ef8643a
--- /dev/null
+++ b/tests/xfs/304
@@ -0,0 +1,86 @@
+#! /bin/bash
+# FS QA Test No. 304
+#
+# Test to verify that turn group/project quotas off while user quotas
+# are left on.
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2013 Oracle, Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+    cd /
+    rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/quota
+
+# Modify as appropriate.
+_supported_fs xfs
+_supported_os Linux
+
+_require_scratch
+_require_xfs_quota
+_require_xfs_mkfs_crc
+_require_xfs_crc
+
+_scratch_mkfs_xfs -m crc=1 >/dev/null 2>&1
+
+_qmount_option "uquota,gquota,pquota"
+_qmount
+
+QUOTA_DIR=$SCRATCH_MNT/quota_dir
+
+mkdir -p $QUOTA_DIR
+echo "*** turn off group quotas"
+xfs_quota -x -c 'off -g' $SCRATCH_MNT
+rmdir $QUOTA_DIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+_qmount
+mkdir -p $QUOTA_DIR
+echo "*** turn off project quotas"
+xfs_quota -x -c 'off -p' $SCRATCH_MNT
+rmdir $QUOTA_DIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+_qmount
+mkdir -p $QUOTA_DIR
+echo "*** turn off group/project quotas"
+xfs_quota -x -c 'off -gp' $SCRATCH_MNT
+rmdir $QUOTA_DIR
+echo "*** umount"
+umount $SCRATCH_MNT
+
+# success, all done
+status=0
+exit
diff --git a/tests/xfs/304.out b/tests/xfs/304.out
new file mode 100644
index 0000000..09ab851
--- /dev/null
+++ b/tests/xfs/304.out
@@ -0,0 +1,7 @@
+QA output created by 304
+*** turn off group quotas
+*** umount
+*** turn off project quotas
+*** umount
+*** turn off group/project quotas
+*** umount
diff --git a/tests/xfs/group b/tests/xfs/group
index 7a16c25..7798d62 100644
--- a/tests/xfs/group
+++ b/tests/xfs/group
@@ -183,3 +183,4 @@
 301 auto dump
 302 auto dump
 303 auto quick quota
+304 auto quick quota
-- 
1.8.3.2

_______________________________________________
xfs mailing list
xfs@xxxxxxxxxxx
http://oss.sgi.com/mailman/listinfo/xfs




[Index of Archives]     [Linux XFS Devel]     [Linux Filesystem Development]     [Filesystem Testing]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux